import * as $dara from '@darabonba/typescript';
export declare class CheckCanAllocateVpcPrivateIpAddressResponseBody extends $dara.Model {
    /**
     * @remarks
     * Indicates whether the private IP address is available. Valid values:
     *
     * *   **true**
     * *   **false**
     *
     * @example
     * true
     */
    canAllocate?: boolean;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * 93360B0-2969-40BF-8542-EBB34FD358AB
     */
    requestId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
